org.eclipse.emf.cdo.net4j

## Interface CDOSession

- All Superinterfaces:
    CDOCommonSession, CDONet4jSession, CDOSession, CDOTransactionContainer, CDOTransactionOpener, CDOUpdatable, CDOViewContainer, CDOViewOpener, Closeable, IAdaptable, IContainer<CDOView>, INotifier, IOptionsContainer, IPasswordCredentialsProvider.Provider, IPropertiesContainer, IUserAware

  Deprecated.
  Use `CDONet4jSession`.

      @Deprecated
      public interface CDOSession
      extends CDONet4jSession

  Deprecated, use `CDONet4jSession`.
  Since:
    2.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `CDOSession.Options` Deprecated. Use `CDONet4jSession.Options`.

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.session.CDOSession

      `CDOSession.ExceptionHandler`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.util.CDOUpdatable

      `NO_TIMEOUT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOSession.Options` | `options()` Deprecated. Use `CDONet4jSession.options()`.

    - ### Methods inherited from interface org.eclipse.emf.cdo.session.CDOSession

      `changeCredentials, compareRevisions, getBranchManager, getCommitInfoManager, getExceptionHandler, getFetchRuleManager, getIDGenerator, getPackageRegistry, getRemoteSessionManager, getRepositoryInfo, getRevisionManager, refresh, refresh, waitForUpdate, waitForUpdate`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.CDOCommonSession

      `getSessionID, getView, getViews`

    - ### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

      `getAdapter`

    - ### Methods inherited from interface org.eclipse.net4j.util.security.IUserAware

      `getUserID`

    - ### Methods inherited from interface org.eclipse.net4j.util.properties.IPropertiesContainer

      `properties`

    - ### Methods inherited from interface org.eclipse.net4j.util.collection.Closeable

      `close, isClosed`

    - ### Methods inherited from interface org.eclipse.emf.cdo.util.CDOUpdatable

      `getLastUpdateTime, runAfterUpdate`

    - ### Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOTransactionContainer

      `getTransaction, getTransactions, getTransactions, openTransaction, openTransaction, openTransaction, openTransaction, openTransaction, openTransaction`

    - ### Methods inherited from interface org.eclipse.emf.cdo.view.CDOViewContainer

      `getView, getViews, getViews, openView, openView, openView, openView, openView, openView, openView, openView`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface org.eclipse.emf.cdo.view.CDOViewOpener

      `openView, openView`

    - ### Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOTransactionOpener

      `openTransaction, openTransaction`

    - ### Methods inherited from interface org.eclipse.net4j.util.security.IPasswordCredentialsProvider.Provider

      `getCredentialsProvider`

- - ### Method Detail

    - #### options

          @Deprecated
          CDOSession.Options options()

      Deprecated. Use `CDONet4jSession.options()`.
      Returns the `options` of this session.
      Specified by:
        `options` in interface `CDOCommonSession`
      Specified by:
        `options` in interface `CDONet4jSession`
      Specified by:
        `options` in interface `CDOSession`
      Specified by:
        `options` in interface `IOptionsContainer`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html